import { useSyncExternalStore } from "react";
import { confirmStore } from "./store";

export function useConfirmQueue() {
  return useSyncExternalStore(
    confirmStore.subscribe,
    confirmStore.getSnapshot,
    confirmStore.getSnapshot
  );
}